
QGIS Application - Feature request #6147

Ability to toggle vector layer query

2012-08-02 04:20 PM - John Tull

Status: Open

Priority: Normal

Assignee:

Category: Vectors

Pull Request or Patch supplied:No Resolution:

Easy fix?: No Copied to github as #: 15474

Description

I have come across recent instances where I sometimes want to see a subset of a layer through the use of the query builder. Other times,

I want to see all attributes in the layer, but want to be able to conveniently return to the subset view. Of course, you can have the layer on

the canvas more than once with the query in one copy and no query in the other, but it would be convenient to be able to toggle the

subset/query. Otherwise, you have to clear out the query and hope to not lose your query language.

Perhaps a toggle box can be placed next to or near the "Query Builder" button in the layer property ui to provide this capability? This box

would simply turn on or off the subset feature by not running the query for the layer.

History

#1 - 2012-10-06 02:20 AM - Pirmin Kalberer

- Target version changed from Version 2.0.0 to Future Release - Nice to have

#2 - 2014-05-06 07:34 AM - Antonio Locandro

I agree this would be an awesome feature to be added, it could even be a nice to have feature to be able to have several queries defined and able to select

one to be used by a checkbox next to it something like

[x] None (default)

[] ... Query 1

[] ... Query 2

#3 - 2017-05-01 12:48 AM - Giovanni Manghi

- Easy fix? set to No
